# osg::DisplaySettings Class Reference

DisplaySettings class for encapsulating what visuals are required and have been set up, and the status of stereo viewing. More...

Inheritance diagram for osg::DisplaySettings:

[legend]
List of all members.

## Public Types

enum | DisplayType { MONITOR, POWERWALL, REALITY_CENTER, HEAD_MOUNTED_DISPLAY }
enum | StereoMode { QUAD_BUFFER, ANAGLYPHIC, HORIZONTAL_SPLIT, VERTICAL_SPLIT, LEFT_EYE, RIGHT_EYE }
enum | SplitStereoHorizontalEyeMapping { LEFT_EYE_LEFT_VIEWPORT, LEFT_EYE_RIGHT_VIEWPORT }
enum | SplitStereoVerticalEyeMapping { LEFT_EYE_TOP_VIEWPORT, LEFT_EYE_BOTTOM_VIEWPORT }

## Public Member Functions

| DisplaySettings ()
| DisplaySettings (ArgumentParser &arguments)
| DisplaySettings (const DisplaySettings &vs)
DisplaySettings & | operator= (const DisplaySettings &vs)
void | setDisplaySettings (const DisplaySettings &vs)
void | merge (const DisplaySettings &vs)
void | setDefaults ()
void | readEnvironmentalVariables ()
| read the environmental variables.
void | readCommandLine (ArgumentParser &arguments)
| read the commandline arguments.
void | setDisplayType (DisplayType type)
DisplayType | getDisplayType () const
void | setStereo (bool on)
bool | getStereo () const
void | setStereoMode (StereoMode mode)
StereoMode | getStereoMode () const
void | setEyeSeparation (float eyeSeparation)
float | getEyeSeparation () const
void | setSplitStereoHorizontalEyeMapping (SplitStereoHorizontalEyeMapping m)
SplitStereoHorizontalEyeMapping | getSplitStereoHorizontalEyeMapping () const
void | setSplitStereoHorizontalSeparation (int s)
int | getSplitStereoHorizontalSeparation () const
void | setSplitStereoVerticalEyeMapping (SplitStereoVerticalEyeMapping m)
SplitStereoVerticalEyeMapping | getSplitStereoVerticalEyeMapping () const
void | setSplitStereoVerticalSeparation (int s)
int | getSplitStereoVerticalSeparation () const
void | setSplitStereoAutoAjustAspectRatio (bool flag)
bool | getSplitStereoAutoAjustAspectRatio () const
void | setScreenWidth (float width)
float | getScreenWidth () const
void | setScreenHeight (float height)
float | getScreenHeight () const
void | setScreenDistance (float distance)
float | getScreenDistance () const
void | setDoubleBuffer (bool flag)
bool | getDoubleBuffer () const
void | setRGB (bool flag)
bool | getRGB () const
void | setDepthBuffer (bool flag)
bool | getDepthBuffer () const
void | setMinimumNumAlphaBits (unsigned int bits)
unsigned int | getMinimumNumAlphaBits () const
bool | getAlphaBuffer () const
void | setMinimumNumStencilBits (unsigned int bits)
unsigned int | getMinimumNumStencilBits () const
bool | getStencilBuffer () const
void | setMaxNumberOfGraphicsContexts (unsigned int num)
unsigned int | getMaxNumberOfGraphicsContexts () const

## Static Public Member Functions

static DisplaySettings * | instance ()
| Maintain a DisplaySettings singleton for objects to query at runtime.

## Protected Member Functions

virtual | ~DisplaySettings ()

## Protected Attributes

DisplayType | _displayType
bool | _stereo
StereoMode | _stereoMode
float | _eyeSeparation
float | _screenWidth
float | _screenHeight
float | _screenDistance
SplitStereoHorizontalEyeMapping | _splitStereoHorizontalEyeMapping
int | _splitStereoHorizontalSeparation
SplitStereoVerticalEyeMapping | _splitStereoVerticalEyeMapping
int | _splitStereoVerticalSeparation
bool | _splitStereoAutoAdjustAspectRatio
bool | _doubleBuffer
bool | _RGB
bool | _depthBuffer
unsigned int | _minimumNumberAlphaBits
unsigned int | _minimumNumberStencilBits
unsigned int | _maxNumOfGraphicsContexts

## Detailed Description

DisplaySettings class for encapsulating what visuals are required and have been set up, and the status of stereo viewing.

## Member Enumeration Documentation

enum osg::DisplaySettings::DisplayType

Enumeration values:

  MONITOR |
  POWERWALL |
  REALITY_CENTER |
  HEAD_MOUNTED_DISPLAY |

enum osg::DisplaySettings::SplitStereoHorizontalEyeMapping

Enumeration values:

  LEFT_EYE_LEFT_VIEWPORT |
  LEFT_EYE_RIGHT_VIEWPORT |

enum osg::DisplaySettings::SplitStereoVerticalEyeMapping

Enumeration values:

  LEFT_EYE_TOP_VIEWPORT |
  LEFT_EYE_BOTTOM_VIEWPORT |

enum osg::DisplaySettings::StereoMode

Enumeration values:

  QUAD_BUFFER |
  ANAGLYPHIC |
  HORIZONTAL_SPLIT |
  VERTICAL_SPLIT |
  LEFT_EYE |
  RIGHT_EYE |

## Constructor & Destructor Documentation

osg::DisplaySettings::DisplaySettings | ( |  | ) | `[inline]`

osg::DisplaySettings::DisplaySettings | ( | ArgumentParser & | arguments | ) | `[inline]`

DisplaySettings::DisplaySettings | ( | const DisplaySettings & | vs | ) |

DisplaySettings::~DisplaySettings | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

bool osg::DisplaySettings::getAlphaBuffer | ( |  | ) | const`[inline]`

bool osg::DisplaySettings::getDepthBuffer | ( |  | ) | const`[inline]`

DisplayType osg::DisplaySettings::getDisplayType | ( |  | ) | const`[inline]`

bool osg::DisplaySettings::getDoubleBuffer | ( |  | ) | const`[inline]`

float osg::DisplaySettings::getEyeSeparation | ( |  | ) | const`[inline]`

unsigned int osg::DisplaySettings::getMaxNumberOfGraphicsContexts | ( |  | ) | const`[inline]`

unsigned int osg::DisplaySettings::getMinimumNumAlphaBits | ( |  | ) | const`[inline]`

unsigned int osg::DisplaySettings::getMinimumNumStencilBits | ( |  | ) | const`[inline]`

bool osg::DisplaySettings::getRGB | ( |  | ) | const`[inline]`

float osg::DisplaySettings::getScreenDistance | ( |  | ) | const`[inline]`

float osg::DisplaySettings::getScreenHeight | ( |  | ) | const`[inline]`

float osg::DisplaySettings::getScreenWidth | ( |  | ) | const`[inline]`

bool osg::DisplaySettings::getSplitStereoAutoAjustAspectRatio | ( |  | ) | const`[inline]`

SplitStereoHorizontalEyeMapping osg::DisplaySettings::getSplitStereoHorizontalEyeMapping | ( |  | ) | const`[inline]`

int osg::DisplaySettings::getSplitStereoHorizontalSeparation | ( |  | ) | const`[inline]`

SplitStereoVerticalEyeMapping osg::DisplaySettings::getSplitStereoVerticalEyeMapping | ( |  | ) | const`[inline]`

int osg::DisplaySettings::getSplitStereoVerticalSeparation | ( |  | ) | const`[inline]`

bool osg::DisplaySettings::getStencilBuffer | ( |  | ) | const`[inline]`

bool osg::DisplaySettings::getStereo | ( |  | ) | const`[inline]`

StereoMode osg::DisplaySettings::getStereoMode | ( |  | ) | const`[inline]`

DisplaySettings * DisplaySettings::instance | ( |  | ) | `[static]`

| Maintain a DisplaySettings singleton for objects to query at runtime.

void DisplaySettings::merge | ( | const DisplaySettings & | vs | ) |

DisplaySettings & DisplaySettings::operator= | ( | const DisplaySettings & | vs | ) |

void DisplaySettings::readCommandLine | ( | ArgumentParser & | arguments | ) |

| read the commandline arguments.

void DisplaySettings::readEnvironmentalVariables | ( |  | ) |

| read the environmental variables.

void DisplaySettings::setDefaults | ( |  | ) |

void osg::DisplaySettings::setDepthBuffer | ( | bool | flag | ) | `[inline]`

void DisplaySettings::setDisplaySettings | ( | const DisplaySettings & | vs | ) |

void osg::DisplaySettings::setDisplayType | ( | DisplayType | type | ) | `[inline]`

void osg::DisplaySettings::setDoubleBuffer | ( | bool | flag | ) | `[inline]`

void osg::DisplaySettings::setEyeSeparation | ( | float | eyeSeparation | ) | `[inline]`

void osg::DisplaySettings::setMaxNumberOfGraphicsContexts | ( | unsigned int | num | ) | `[inline]`

void osg::DisplaySettings::setMinimumNumAlphaBits | ( | unsigned int | bits | ) | `[inline]`

void osg::DisplaySettings::setMinimumNumStencilBits | ( | unsigned int | bits | ) | `[inline]`

void osg::DisplaySettings::setRGB | ( | bool | flag | ) | `[inline]`

void osg::DisplaySettings::setScreenDistance | ( | float | distance | ) | `[inline]`

void osg::DisplaySettings::setScreenHeight | ( | float | height | ) | `[inline]`

void osg::DisplaySettings::setScreenWidth | ( | float | width | ) | `[inline]`

void osg::DisplaySettings::setSplitStereoAutoAjustAspectRatio | ( | bool | flag | ) | `[inline]`

void osg::DisplaySettings::setSplitStereoHorizontalEyeMapping | ( | SplitStereoHorizontalEyeMapping | m | ) | `[inline]`

void osg::DisplaySettings::setSplitStereoHorizontalSeparation | ( | int | s | ) | `[inline]`

void osg::DisplaySettings::setSplitStereoVerticalEyeMapping | ( | SplitStereoVerticalEyeMapping | m | ) | `[inline]`

void osg::DisplaySettings::setSplitStereoVerticalSeparation | ( | int | s | ) | `[inline]`

void osg::DisplaySettings::setStereo | ( | bool | on | ) | `[inline]`

void osg::DisplaySettings::setStereoMode | ( | StereoMode | mode | ) | `[inline]`

## Member Data Documentation

bool osg::DisplaySettings::_depthBuffer `[protected]`

DisplayType osg::DisplaySettings::_displayType `[protected]`

bool osg::DisplaySettings::_doubleBuffer `[protected]`

float osg::DisplaySettings::_eyeSeparation `[protected]`

unsigned int osg::DisplaySettings::_maxNumOfGraphicsContexts `[protected]`

unsigned int osg::DisplaySettings::_minimumNumberAlphaBits `[protected]`

unsigned int osg::DisplaySettings::_minimumNumberStencilBits `[protected]`

bool osg::DisplaySettings::_RGB `[protected]`

float osg::DisplaySettings::_screenDistance `[protected]`

float osg::DisplaySettings::_screenHeight `[protected]`

float osg::DisplaySettings::_screenWidth `[protected]`

bool osg::DisplaySettings::_splitStereoAutoAdjustAspectRatio `[protected]`

SplitStereoHorizontalEyeMapping osg::DisplaySettings::_splitStereoHorizontalEyeMapping `[protected]`

int osg::DisplaySettings::_splitStereoHorizontalSeparation `[protected]`

SplitStereoVerticalEyeMapping osg::DisplaySettings::_splitStereoVerticalEyeMapping `[protected]`

int osg::DisplaySettings::_splitStereoVerticalSeparation `[protected]`

bool osg::DisplaySettings::_stereo `[protected]`

StereoMode osg::DisplaySettings::_stereoMode `[protected]`

The documentation for this class was generated from the following files:

- DisplaySettings
- DisplaySettings.cpp